Module
Inhalte
Index 🔎︎

# Anweisung ChDrive

Wechselt das aktuelle Laufwerk.

Diese Anweisung arbeitet derzeit nicht wie dokumentiert. Weitere Informationen finden Sie >hier.

## Syntax:

    ChDrive Text As String

## Parameter:

Text: Ein beliebiger Zeichenkettenausdruck, der den Laufwerksbuchstaben des neuen Laufwerks enthält. Falls gewünscht können Sie auch die URL-Schreibweise verwenden.

Dem Laufwerk muss ein Großbuchstabe zugeordnet werden. Unter Windows ist der letzte Buchstabe für Laufwerkszuordnungen durch die LASTDRV-Einstellung festgelegt. Wird als Laufwerksargument eine mehrstellige Zeichenkette übergeben, so ist nur der erste Buchstabe relevant. Wenn Sie versuchen, auf ein nicht existierendes Laufwerk zuzugreifen, tritt ein Fehler auf, den Sie mit der OnError-Anweisung weiter verarbeiten können.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

68 Gerät nicht verfügbar

76 Pfad nicht gefunden

## Beispiel:

    Sub ExampleChDrive

        ChDrive "D" ' Nur möglich, wenn ein Laufwerk 'D' vorhanden ist.

    End Sub